Package Scientific :: Package BSP :: Class ParConstant

[frames] | no frames]

# Class ParConstant

    object --+
             |
      ParValue --+
                 |
                ParConstant

Global constant

A subclass of ParValue that stores an identical value on each processor. It must be called with the same argument on all processors, but this is not verified in the current implementation.

Instance Methods

__init__(self, value) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |

Inherited from `ParValue`: `__add__`, `__call__`, `__div__`, `__divmod__`, `__eq__`, `__ge__`, `__getattr__`, `__getitem__`, `__gt__`, `__le__`, `__len__`, `__lt__`, `__mod__`, `__mul__`, `__ne__`, `__neg__`, `__nonzero__`, `__pow__`, `__repr__`, `__str__`, `__sub__`, `accumulate`, `alltrue`, `anytrue`, `broadcast`, `fullExchange`, `get`, `getattr`, `map`, `put`, `reduce`

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`

Class Variables
Inherited from `ParValue`: `is_parvalue`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, value)
(Constructor)

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Parameters:
  - `value` (any) - any local or global object
Overrides: object.__init__